Bug 235016 - CVE-2007-1583 mbstring register_globals activation and mail() header injection (CVE-2007-1718)
Summary: CVE-2007-1583 mbstring register_globals activation and mail() header injectio...
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: php   
(Show other bugs)
Version: 5.0
Hardware: All
OS: Linux
medium
low
Target Milestone: ---
: ---
Assignee: Joe Orton
QA Contact: David Lawrence
URL:
Whiteboard: impact=low,public=20070320,reported=2...
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-04-03 11:19 UTC by Joe Orton
Modified: 2007-11-30 22:07 UTC (History)
0 users

Fixed In Version: RHSA-2007-0153
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-04-20 09:47:13 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2007:0153 normal SHIPPED_LIVE Moderate: php security update 2007-04-20 09:47:08 UTC

Description Joe Orton 2007-04-03 11:19:38 UTC
Description of problem:
MOPB-26-2007 describes a bug in the mbstring extension which may a remote
attacker to enable the "register_globals" setting for the lifetime of an httpd
child process, if the mb_parse_string() is used to process untrusted script
input of a length which can force the default memory_limit to be exhausted. 
(CVE: CVE-2007-1583; Impact: Low)

Version-Release number of selected component (if applicable):
5.1.6-7.el5

Comment 1 Joe Orton 2007-04-04 09:39:01 UTC
MOPB-34-2007 describes a bug in the mail() function which allows a remote
attacker to inject arbitrary headers into generated mail, if the "subject"
parameter passed to the function uses untrusted (and unsanitized) script input;
this may allow the attacker to force the script to send bulk e-mail to
unintended recipients. (CVE-2007-1718, Impact: Low)

Comment 5 Red Hat Bugzilla 2007-04-20 09:47:13 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2007-0153.html



Note You need to log in before you can comment on or make changes to this bug.